## apmd 3.2.2

=== Makefile ===
# Makefile -- 
# Copyright 1996, 1997 Rickard E. Faith <faith@acm.org>
# Copyright 1999 Avery Pennarun <apenwarr@worldvisions.ca>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.30 2001/11/25 22:46:16 apenwarr Exp $
#

VERSION=3.2.1
LIB_VERSION=1:0

ifneq (,)
This makefile requires GNU Make.
endif

.SUFFIXES:

OBJS=apmlib.o
EXES=apm apmd xapm apmsleep
HEADERS=apm.h

PREFIX=/usr
MANDIR=$(PREFIX)/man
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
LIBDIR=$(PREFIX)/lib
INCDIR=$(PREFIX)/include
PROXY_DIR=/etc
DESTDIR=

CC=gcc
CFLAGS=-O -g
XTRACFLAGS=-Wall -pipe -I. -I/usr/src/linux/include \
		-I/usr/src/linux-2.2/include -I /usr/src/linux-2.0/include \
		-DVERSION=\"$(VERSION)\" \
		-DDEFAULT_PROXY_NAME=\"$(PROXY_DIR)/apmd_proxy\"
LDFLAGS=
LIBAPM=libapm.la
LIBAPM_FLAGS=-rpath $(LIBDIR) -version-info $(LIB_VERSION)
XLDFLAGS=-L/usr/X11R6/lib
XLIBS=-lXaw -lXmu -lXt -lXext -lSM -lICE -lX11
RANLIB=ranlib

# Uncomment these lines for a production compile
#CFLAGS=-O3 -m486 -fomit-frame-pointer
#LDFLAGS=-s

LIBTOOL=libtool --quiet
LT_COMPILE = $(LIBTOOL) --mode=compile $(CC)
LT_LINK = $(LIBTOOL) --mode=link $(CC)
LT_INSTALL = $(LIBTOOL) --mode=install install
LT_CLEAN = $(LIBTOOL) --mode=clean rm

all: $(EXES)

$(OBJS): $(HEADERS)

%.o: %.c
	$(LT_COMPILE) -c $(CPPFLAGS) $(CFLAGS) $(XTRACFLAGS) $<

%: %.o $(LIBAPM)
	$(LT_LINK) -o $@ $< $(LDFLAGS) $(LIBAPM)

xapm.o: xapm.c
	$(LT_COMPILE) -c $(CPPFLAGS) $(CFLAGS) $(XTRACFLAGS) -DNARROWPROTO $<

apmd: apmd.o

apmsleep: apmsleep.o

apmexists: apmexists.o

xapm: xapm.o $(LIBAPM)
	$(LT_LINK) -o $@ $< $(LDFLAGS) $(LIBAPM) $(XLDFLAGS) $(XLIBS)

$(LIBAPM): apmlib.lo
	$(LT_LINK) -o $@ $< $(LIBAPM_FLAGS) $(LDFLAGS)

apmlib.lo: apmlib.c apm.h
	$(LT_COMPILE) -c $(CPPFLAGS) $(CFLAGS) $(XTRACFLAGS) $<

.PHONY:	ChangeLog
ChangeLog:
	-rm -f ChangeLog
	rcs2log > ChangeLog

install: $(EXES)
	[ -d $(DESTDIR)$(BINDIR)    ] || install -d $(DESTDIR)$(BINDIR)
	[ -d $(DESTDIR)$(SBINDIR)   ] || install -d $(DESTDIR)$(SBINDIR)
	[ -d $(DESTDIR)$(LIBDIR)    ] || install -d $(DESTDIR)$(LIBDIR)
	[ -d $(DESTDIR)$(INCDIR)    ] || install -d $(DESTDIR)$(INCDIR)
	$(LT_INSTALL) -m 644 $(LIBAPM)   $(DESTDIR)$(LIBDIR)
	$(LT_INSTALL)        apm         $(DESTDIR)$(BINDIR)
	$(LT_INSTALL)        apmd        $(DESTDIR)$(SBINDIR)
	$(LT_INSTALL)        xapm        $(DESTDIR)$(BINDIR)
	$(LT_INSTALL)        apmsleep    $(DESTDIR)$(BINDIR)
	install              on_ac_power $(DESTDIR)$(BINDIR)
	install       -m 644 apm.h       $(DESTDIR)$(INCDIR)

.PHONY:	clean distclean
distclean clean:
	-$(LT_CLEAN) -f $(LIBAPM) $(EXES) *.lo
	-rm -f *.o *.s *~ core a.out build-stamp

=== xbattery/Makefile ===
# Makefile generated by imake - do not edit!
# $TOG: imake.c /main/97 1997/06/20 20:23:51 kaleb $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $TOG: Imake.tmpl /main/245 1997/05/20 10:05:47 kaleb $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.32.2.8 1998/02/08 11:19:24 dawes Exp $
# Debian: changed InstIncFlags, InstManFlags, InstDatFlags from 0444 to 0644
# ----------------------------------------------------------------------

all::

.SUFFIXES: .i

# $TOG: Imake.cf /main/28 1997/06/25 08:31:36 barstow $
# $XFree86: xc/config/cf/Imake.cf,v 3.34.2.4 1998/05/22 16:38:18 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/revisionist/4 1996/12/31 08:02:07 kaleb $
# site:  $XFree86: xc/config/cf/site.def,v 3.17.2.1 1997/06/22 10:32:21 dawes Exp $
# Debian: added define TermcapLibrary -lncurses

# $XFree86: xc/config/cf/xf86site.def,v 3.101.2.15 1998/02/24 19:05:42 hohndel Exp $
# Debian: define HasTk 1
#         changed TkLibDir, TkIncDir, TkLibName
#         define HasTcl 1
#         changed TclLibDir, TclIncDir, TclLibName
#         define XserverNeedsSetUID 0
#         define JoystickSupport 1 (except for m68k)
#         define WacomSupport 1
#         define ElographicsSupport 1
#         define SummaSketchSupport 1
#         define BuildDynamicLoading 1
#         define ForceNormalLib 1

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $TOG: linux.cf /main/36 1997/06/16 22:21:03 kaleb $
# platform:  $XFree86: xc/config/cf/linux.cf,v 3.57.2.12 1998/03/01 01:57:10 dawes Exp $
# Debian: added -D_REENTRANT to StandardDefines
#         added define SetTtyGroup 1
#         added define HasZlib 1

# operating system:  Linux 2.2.10 i586 [ELF] (2.2.10)
# libc:	(6.0.7)
# binutils:	(29)

# $XConsortium: lnxLib.rules /main/13 1996/09/28 16:11:01 rws $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.28.2.3 1997/06/22 10:32:20 dawes Exp $
# Debian: define BaseShLibReqs -lc, argument below
#         added -lc to SharedLibraryLoadFlags
#         removed ExtraLoadFlags

# $XFree86: xc/config/cf/xfree86.cf,v 3.129.2.22 1998/02/24 19:05:43 hohndel Exp $

# $XConsortium: xfree86.cf /main/34 1996/12/06 11:45:18 rws $

LINKKITDIR = $(USRLIBDIR)/Server
XF98LINKKITDIR = $(USRLIBDIR)/Server

       XF86SRC = $(SERVERSRC)/hw/xfree86
  XF86ACCELSRC = $(XF86SRC)/accel
    XF86COMSRC = $(XF86SRC)/common
 XF86CONFIGSRC = $(XF86COMSRC)
     XF86HWSRC = $(XF86SRC)/common_hw
     XF86OSSRC = $(XF86SRC)/os-support
  VGADRIVERSRC = $(XF86SRC)/vga256/drivers
VGA16DRIVERSRC = $(XF86SRC)/vga16/drivers
 VGA2DRIVERSRC = $(XF86SRC)/vga2/drivers
 MONODRIVERSRC = $(XF86SRC)/mono/drivers
   S3DRIVERSRC = $(XF86SRC)/accel/s3/drivers
  S3VDRIVERSRC = $(XF86SRC)/accel/s3_virge/drivers

       XF68SRC = $(SERVERSRC)/hw/xfree68
    XF68COMSRC = $(XF68SRC)/common
 XF68CONFIGSRC = $(XF68COMSRC)
     XF68OSSRC = $(XF68SRC)/os-support

           XF98SRC = $(SERVERSRC)/hw/xfree98
      XF98ACCELSRC = $(XF98SRC)/accel
        XF98COMSRC = $(XF98SRC)/common
     XF98CONFIGSRC = $(XF98COMSRC)
         XF98HWSRC = $(XF98SRC)/common_hw/generic
      XF98HWNECSRC = $(XF98SRC)/common_hw/nec
    XF98HWPWSKBSRC = $(XF98SRC)/common_hw/pwskb
     XF98HWPWLBSRC = $(XF98SRC)/common_hw/pwlb
    XF98HWGA968SRC = $(XF98SRC)/common_hw/ga968
         XF98OSSRC = $(XF98SRC)/os-support
  XF98VGADRIVERSRC = $(XF98SRC)/vga256/drivers
XF98VGA16DRIVERSRC = $(XF98SRC)/vga16/drivers
 XF98VGA2DRIVERSRC = $(XF98SRC)/vga2/drivers
 XF98MONODRIVERSRC = $(XF98SRC)/mono/drivers
XF98NECS3DRIVERSRC = $(XF98SRC)/accel/s3nec/drivers
XF98PWSKBDRIVERSRC = $(XF98SRC)/accel/s3pwskb/drivers
 XF98PWLBDRIVERSRC = $(XF98SRC)/accel/s3pwlb/drivers
XF98GA968DRIVERSRC = $(XF98SRC)/accel/s3ga968/drivers

        XFREE86DOCDIR = $(LIBDIR)/doc
      XFREE86PSDOCDIR = $(XFREE86DOCDIR)/PostScript
    XFREE86HTMLDOCDIR = $(XFREE86DOCDIR)/html
XFREE86JAPANESEDOCDIR = $(XFREE86DOCDIR)/Japanese

# $XConsortium: xf86.rules /main/9 1996/10/31 14:54:26 kaleb $
# $XFree86: xc/config/cf/xf86.rules,v 3.16.2.1 1997/05/18 12:00:01 dawes Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def /main/revisionist/4 1996/12/31 08:02:07 kaleb $
# site:  $XFree86: xc/config/cf/site.def,v 3.17.2.1 1997/06/22 10:32:21 dawes Exp $
# Debian: added define TermcapLibrary -lncurses

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $TOG: Imake.rules /main/222 1997/07/17 20:04:40 kaleb $
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.33.2.7 1998/02/06 09:02:17 dawes Exp $

 _NULLCMD_ = @ echo -n

TKLIBNAME = tk8.0

TKLIBDIR = /usr/lib

TCLLIBNAME = tcl8.0

TCLIBDIR = /usr/lib

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
    EXPORTLISTGEN =
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
        VARLIBDIR = /var/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cc

              CXX = c++
          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = -O2 -fno-strength-reduce
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE=500L -D_BSD_SOURCE -D_SVID_SOURCE -D_REENTRANT $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES) $(DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
            TROFF = psroff
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE=500L -D_BSD_SOURCE -D_SVID_SOURCE -D_REENTRANT $(PROJECT_DEFINES)
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE=500L -D_BSD_SOURCE -D_SVID_SOURCE -D_REENTRANT $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0644
     INSTMANFLAGS = -m 0644
     INSTDATFLAGS = -m 0644
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr/X11R6

      CDEBUGFLAGS = -O2 -fno-strength-reduce
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

# Not sure this belongs here
         TKLIBDIR = /usr/lib
         TKINCDIR = /usr/include/tk
        TKLIBNAME = tk8.0
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR = /usr/lib
        TCLINCDIR = /usr/include/tcl
       TCLLIBNAME = tcl8.0
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# $TOG: X11.rules /main/4 1997/04/30 15:23:24 kaleb $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $TOG: X11.tmpl /main/292 1997/05/20 10:05:59 kaleb $
#
#
#
#
# $XFree86: xc/config/cf/X11.tmpl,v 1.8.2.4 1998/01/23 12:35:08 dawes Exp $
# Debian: added clean target

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

             XTOP = $(TOP)
           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)/exports
      BUILDINCDIR = $(BUILDINCROOT)/include
      BUILDINCTOP = ../..
      BUILDLIBDIR = $(TOP)/exports/lib
      BUILDLIBTOP = ../..
      BUILDBINDIR = $(TOP)/exports/bin
      BUILDBINTOP = ../..
    XBUILDINCROOT = $(XTOP)/exports
     XBUILDINCDIR = $(XBUILDINCROOT)/include/X11
     XBUILDINCTOP = ../../..
     XBUILDBINDIR = $(XBUILDINCROOT)/bin
           INCDIR = $(INCROOT)
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
   TOP_X_INCLUDES = -I$(XPROJECTROOT)/include

           VARDIR = /var/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
        XDMVARDIR = $(VARLIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      LBXPROXYDIR = $(LIBDIR)/lbxproxy
  PROXYMANAGERDIR = $(LIBDIR)/proxymngr
        XPRINTDIR = $(LIBDIR)
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(XTOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t

=== debian/changelog ===
apmd (3.2.2-15build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:13:14 +0000

apmd (3.2.2-15) unstable; urgency=medium

  [ Helmut Grohne ]
  * libtool is now in package libtool-bin. Adapt Build-Depends.
    Closes: #761731.

  [ Anibal Monsalve Salazar ]
  * Standards-Version is 3.9.6.
  * Source format set to 3.0 (quilt).
  * debhelper compatibility is 9.
  * Fix debian-rules-missing-recommended-target build-indep.
  * Fix hardening-no-relro.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 16 Oct 2014 10:57:57 +0100

apmd (3.2.2-14) unstable; urgency=low

  * Fix package descripton
    Closes: 525732
  * Fix MODPROBE_OPTIONS
    Closes: 537397
  * Fix out-of-date-standards-version
  * Fix copyright-refers-to-symlink-license

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 18 Jul 2009 11:32:08 +1000

apmd (3.2.2-13) unstable; urgency=low

  * Merge from Ubuntu 
    - Relocate init script to start at S10 and stop at S21 to match
      acpid, to which it's functionally equivalent.
    - debian/hwclock: Remove, the kernel saves and restores the system
      clock across a suspend/resume cycle.
    - debian/rules: Do not install
    - debian/apmd.preinst: Remove on upgrade
    - debian/apmd.postinst: Remove obsolete copy, and remove symlinks
    - debian/apmd.postrm: Restore if upgrade fails
  * Standards-Version is 3.8.1
  * debhelper compatibility is 7
  * Run dh_prep instead of dh_clean -k
  * libapm-dev depends on ${misc:Depends}

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 22 May 2009 15:38:37 +1000

apmd (3.2.2-12ubuntu3) jaunty; urgency=low

  * Relocate init script to start at S10 and stop at S21 to match acpid, to
    which it's functionally equivalent.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 27 Feb 2009 00:49:43 +0000

apmd (3.2.2-12ubuntu2) jaunty; urgency=low

  * debian/hwclock: Remove, the kernel saves and restores the system clock
    across a suspend/resume cycle.
  * debian/rules: Do not install
  * debian/apmd.preinst: Remove on upgrade
  * debian/apmd.postinst: Remove obsolete copy, and remove symlinks
  * debian/apmd.postrm: Restore if upgrade fails

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 18 Feb 2009 16:21:24 +0000

apmd (3.2.2-12ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - update dh_installinit
  * update according to 'update-rc.d "multiuser" is deprecated'
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 17 Nov 2008 10:54:51 +0100

apmd (3.2.2-12) unstable; urgency=low

  * Define _APM_H in apm.h; closes: #434040
    patch by Larry Doolittle

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 30 Oct 2008 21:20:28 +1100

apmd (3.2.2-11) unstable; urgency=low

  * apmd: don't depend on sysv-rc; closes: #475432
  * libapm1: don't depend on powermgmt-base; closes: #413188
  * Add homepage control header; closes: #471884
  * Ignore "Standing by now" messages by logcheck; closes: #388576
    Patch by Mark Wardle
  * Update debian/copyright
  * Standards-Version is 3.8.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 17 Oct 2008 18:20:41 +1100

apmd (3.2.2-10ubuntu1) intrepid; urgency=low

  * Merge with Debian; remaining changes:
    - Call dh_installinit with `multiuser'.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jun 2008 11:10:23 -0400

apmd (3.2.2-10) unstable; urgency=low

  * update-rc.d does not accept the multiuser command line argument.
    Closes: #474653

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 07 Apr 2008 17:59:35 +1000

apmd (3.2.2-9) unstable; urgency=low

  * NMU acknowledgement. Closes: #388819, #405519, #405861
  * Merge with Ubuntu. Closes: #406316
  * Upstream homepage is not available
  * Fixed the following lintian issues:
    - apmd source: debian-rules-ignores-make-clean-error line 35
    - apmd source: substvar-source-version-is-deprecated libapm-dev
    - apmd source: out-of-date-standards-version 3.7.2 (current is 3.7.3)
    - xapm: maintainer-script-empty postinst
    - xapm: maintainer-script-empty preinst
    - xapm: maintainer-script-empty postrm
    - xapm: maintainer-script-empty prerm
    - libapm1: maintainer-script-empty preinst
    - libapm1: maintainer-script-empty prerm
    - libapm-dev: maintainer-script-empty postinst
    - libapm-dev: maintainer-script-empty preinst
    - libapm-dev: maintainer-script-empty postrm
    - libapm-dev: maintainer-script-empty prerm

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 06 Apr 2008 19:14:16 +1000

apmd (3.2.2-8.1ubuntu1) gutsy; urgency=low

  * Merge with Debian; remaining changes:
    - Remove stop links from rc0 and rc6.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 May 2007 13:02:28 +0200

apmd (3.2.2-8.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n and debconf issues.
  * Remove the now compeltely useless debconf note which deals with upgrade
    from pre-sarge versions. Closes: #388819
  * This also makes translations pointless. Closes: #405519, #405861

 -- Christian Perrier <bubulle@debian.org>  Sun, 25 Feb 2007 11:09:17 +0100

apmd (3.2.2-8ubuntu2) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:13:07 +0000

apmd (3.2.2-8ubuntu1) feisty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - remove stop links from rc0 and rc6

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 27 Nov 2006 14:21:52 +0000

apmd (3.2.2-8) unstable; urgency=low

  * Removed the debconf templates apmd/overwrite-config-file and
    apmd/suspend-on-ac from its templates file. Closes: #376052.
  * Fixed bug present when apm_read() returns with the
    APM_32_BIT_SUPPORT flag unset. Closes: #222635.
    Patch by Thomas Hood <jdthood@yahoo.co.uk>.
  * Fixed half broken build-depends; removed libxaw-dev which cannot
    be satisfied.



=== debian/control ===
Source: apmd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: debhelper (>= 9), libx11-dev, libxaw7-dev, libtool-bin
Standards-Version: 3.9.6
Homepage: http://alumnit.ca/~apenwarr/apmd/

Package: apmd
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0, powermgmt-base, lsb-base (>= 1.3-9ubuntu3)
Suggests: xapm
Description: Utilities for Advanced Power Management (APM)
 On laptop computers, the Advanced Power Management (APM) support 
 provides access to battery status information and may help you to 
 conserve battery power, depending on your laptop and the APM 
 implementation.  The apmd program also lets you run arbitrary programs
 when APM events happen (for example, you can eject PCMCIA devices when
 you suspend, or change hard drive timeouts when you connect the battery).
 .
 This package contains apmd(8), a daemon for logging and acting on APM
 events; and apm(1), a client that prints the information in /proc/apm
 in a readable format.
 .
 apmd is notified of APM events by the APM driver in the kernel.
 .
 Since lenny Debian kernels are not built with APM support anymore. You
 need to compile a kernel with apm support enabled to use this package.
 You need to boot the kernel with the "apm=on" option if you
 want to enable the driver.
 .
 In most cases, users may want to know that there are newer power
 management schemes, like ACPI.

Package: xapm
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: apmd (<< 3.0.2-1.6)
Description: X program to monitor APM battery status
 On laptop computers, the Advanced Power Management (APM) support 
 provides access to battery status information and may help you to 
 conserve battery power, depending on your laptop and the APM 
 implementation.
 .
 This package contains xapm(1), an X11 utility that displays the
 status of the battery.

Package: libapm1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: apmd (<< 3.0.2-1.9), libapm-dev (<< 3.0.2-1.9)
Description: Library for interacting with APM driver in kernel
 On laptop computers, the Advanced Power Management (APM) support 
 provides access to battery status information and may help you to 
 conserve battery power, depending on your laptop and the APM 
 implementation.
 .
 This package contains a shared library that provides support for
 interacting with the APM driver in the kernel.

Package: libapm-dev
Section: libdevel
Architecture: any
Depends: libapm1 (= ${binary:Version}), ${misc:Depends}
Conflicts: apmd (<< 3.0.2-1.6)
Description: Library for interacting with APM driver in kernel
 On laptop computers, the Advanced Power Management (APM) support 
 provides access to battery status information and may help you to 
 conserve battery power, depending on your laptop and the APM 
 implementation.
 .
 This package contains a library and header files needed to write
 programs that interact with the APM driver in the kernel.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian.rules file for the Debian/GNU Linux apmd package
# Copyright 1996-98 by Dirk Eddelbuettel <edd@debian.org>

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

package	= apmd
DESTDIR := $(shell pwd)/debian/$(package)

INSTALL := install --preserve-timestamps
INSTALL_SCRIPT := $(INSTALL) --mode=0755
INSTALL_DATA := $(INSTALL) --mode=0644

MAKE_FLAGS=PREFIX=/usr MANDIR=/usr/share/man PROXY_DIR=/etc/apm

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
CFLAGS += -g

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) $(MAKE_FLAGS) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	#dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) $(MAKE_FLAGS) DESTDIR=$(DESTDIR) install
	# We will use on_ac_power from the powermgmt-base package.
	rm -f $(DESTDIR)/usr/bin/on_ac_power
	$(INSTALL_SCRIPT) debian/apmd_proxy $(DESTDIR)/etc/apm/.
	$(INSTALL_DATA) debian/apmd_proxy.conf $(DESTDIR)/usr/share/apmd
	dh_movefiles --sourcedir=debian/apmd
	-rmdir $(DESTDIR)/usr/include
	-rmdir $(DESTDIR)/usr/lib

binary-indep: build

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs			README apmsleep.README
	dh_installdocs -A		AUTHORS
	dh_installinit -- start 10 2 3 4 5 . stop 21 1 .
	dh_installlogcheck
	dh_installman
	dh_installchangelogs		ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs			-V"libapm1 (>= 3.2.0-7)"
	dh_installdeb
	dh_shlibdeps			-ldebian/libapm1/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary
